For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Comments

Search Users by Email

GET
https://api.webflow.com/beta/sites/:site_id/comments/users
GET
/beta/sites/:site_id/comments/users
$curl -G https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/comments/users \
> -H "Authorization: Bearer <token>" \
> --data-urlencode email=arthur.dent@heartofgold.spaceship
1{
2 "users": [
3 {
4 "userId": "6287ec36a841b25637c663df",
5 "name": "Arthur Dent",
6 "email": "arthur.dent@heartofgold.spaceship"
7 }
8 ]
9}

Search for a workspace user by their exact email address.

Use this endpoint to resolve a user’s email to their Webflow user ID for use in comment @mentions. Returns an empty array if no user with the specified email address is found.

The caller must be a workspace member.

Required scope | comments:read

Was this page helpful?
Previous

List Comment Threads

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

emailstringRequiredformat: "email"
The exact email address to search for

Response

Request was successful
userslist of objects
The list of matching users. Returns an empty array if no user with the specified email address is found.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error